%define sname   etr

Name:           extremetuxracer
Version:        0.8.4
Release:        %mkrel 1
Summary:        OpenGL racing game featuring Tux
License:        GPLv2
Group:          Games/Arcade
URL:            https://sourceforge.net/projects/extremetuxracer
Source0:        https://downloads.sourceforge.net/%{name}/%{sname}-%{version}.tar.xz

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-window)
Provides:       tuxracer = %{version}-%{release}
Provides:       ppracer = %{version}-%{release}
Provides:       etr = %{version}-%{release}

%description
Extreme Tux Racer is an OpenGL racing game featuring Tux, the Linux
mascot. The goal of the game is to slide down a snow- and ice-covered
mountain as quickly as possible.  It is based on the GPL version of
TuxRacer.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%configure \
    --bindir=%{_bindir} \
    --datadir=%{_gamesdatadir} \
    --docdir=%{_docdir}/%{name}
%make_build

%install
%make_install

install -D resources/%{sname}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{sname}.svg
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc AUTHORS ChangeLog
%doc %{_docdir}/%{name}/
%{_bindir}/%{sname}
%{_gamesdatadir}/%{sname}/
%{_datadir}/metainfo/net.sourceforge.%{name}.metainfo.xml
%{_datadir}/applications/net.sourceforge.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{sname}.svg


%changelog
* Sun Jul 06 2025 ghibo <ghibo> 0.8.4-1.mga10
+ Revision: 2247830
- Update to version 0.8.4.
- Move etr executable to %%_bindir.

* Sat Jun 28 2025 umeabot <umeabot> 0.8.3-2.mga10
+ Revision: 2221232
- Mageia 10 Mass Rebuild

* Thu Feb 01 2024 daviddavid <daviddavid> 0.8.3-1.mga10
+ Revision: 2036648
- new version: 0.8.3

* Sun Aug 28 2022 obgr_seneca <obgr_seneca> 0.8.2-1.mga9
+ Revision: 1881436
- New version 0.8.2

* Sun Mar 27 2022 umeabot <umeabot> 0.8.1-2.mga9
+ Revision: 1829290
- Mageia 9 Mass Rebuild

* Sun Nov 28 2021 luigiwalser <luigiwalser> 0.8.1-1.mga9
+ Revision: 1759798
- 0.8.1

* Sun Mar 08 2020 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1554950
- new version: 0.8.0

* Thu Feb 13 2020 umeabot <umeabot> 0.7.5-4.mga8
+ Revision: 1512128
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.5-3.mga7
+ Revision: 1297649
- Mageia 7 Mass Rebuild

* Wed May 30 2018 akien <akien> 0.7.5-2.mga7
+ Revision: 1233095
- Rebuild for SFML 2.5.0

* Mon May 14 2018 shlomif <shlomif> 0.7.5-1.mga7
+ Revision: 1229550
- New version 0.7.5, fixing crashes.

* Fri Sep 29 2017 cjw <cjw> 0.7.4-3.mga7
+ Revision: 1161462
- rebuild with gcc 7

* Sun Nov 13 2016 akien <akien> 0.7.4-2.mga6
+ Revision: 1067064
- Rebuild for SFML 2.4.1

* Thu Oct 27 2016 akien <akien> 0.7.4-1.mga6
+ Revision: 1063785
- Version 0.7.4

* Sun Jul 24 2016 akien <akien> 0.7.3-1.mga6
+ Revision: 1043511
- Version 0.7.3

* Sat Apr 16 2016 akien <akien> 0.7.2-1.mga6
+ Revision: 1002994
- Version 0.7.2
- Fix URL

* Fri Feb 05 2016 akien <akien> 0.7.1-1.mga6
+ Revision: 938256
- Version 0.7.1

* Sun Jan 24 2016 akien <akien> 0.7.0-1.mga6
+ Revision: 926778
- Version 0.7.0

* Sun Oct 25 2015 daviddavid <daviddavid> 0.6.0-5.mga6
+ Revision: 895240
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 739020
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 679070
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 534959
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 dams <dams> 0.6.0-1.mga4
+ Revision: 480304
- fix a typo in %%name (spotted by grenoya)
- new version 0.6.0

* Mon Sep 09 2013 dams <dams> 0.6-0.beta2.1.mga4
+ Revision: 476550
- new version 0.6 beta 2
- add icon as a new source (missing in tarball)
- remove patches
- now use pkgconfig for BR
- clean ./configure options
- update .desktop as binary name changed
- remove useless README.urpmi

* Mon Jun 03 2013 fwang <fwang> 0.5-0.beta.17.mga4
+ Revision: 435828
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.5-0.beta.16.mga3
+ Revision: 349875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 0.5-0.beta.15.mga3
+ Revision: 338546
- patch4: fix build with automake 1.13

* Thu Jun 28 2012 shlomif <shlomif> 0.5-0.beta.14.mga3
+ Revision: 264628
- ETracer no longer appears to require squirrel. Removing the dependencies.

* Mon Feb 27 2012 kamil <kamil> 0.5-0.beta.13.mga2
+ Revision: 215597
- rebuild against new squirrel 2.2.5
- clean .spec a bit

* Mon Sep 19 2011 fwang <fwang> 0.5-0.beta.12.mga2
+ Revision: 145326
- fix build with latest libpng
- rebuild for new libpng
+ stormi <stormi>
- fix Comment in desktop file

* Wed Jul 06 2011 fwang <fwang> 0.5-0.beta.10.mga2
+ Revision: 119234
- use autoreconf
- fix build
- rebuild for new tcl
+ zezinho <zezinho>
- bump release
- typo

* Mon Jun 20 2011 dams <dams> 0.5-0.beta.8.mga2
+ Revision: 110374
- add provides back on 'tuxracer' and 'ppracer'

* Mon Jun 20 2011 zezinho <zezinho> 0.5-0.beta.7.mga2
+ Revision: 110308
- remove changelog introduced by error
- release number too high
  provides and obsoletes useless for current upgrade paths
- specfile cleanup

* Thu Jun 09 2011 dams <dams> 0.5-0.beta.5.mga2
+ Revision: 102543
- remove 'esound' BR as 'esound' is no longer supported
+ steletch <steletch>
- Clean spec file
- imported package extremetuxracer


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-0.beta.5mdv2011.0
+ Revision: 605115
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5-0.beta.4mdv2010.1
+ Revision: 522580
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.5-0.beta.3mdv2010.0
+ Revision: 424395
- rebuild

* Mon Mar 16 2009 Giuseppe Ghibò <ghibo@mandriva.com> 0.5-0.beta.2mdv2009.1
+ Revision: 355692
- Default windowed resolution to 800x600 (640x480 would leave out some element).

* Sun Mar 15 2009 Giuseppe Ghibò <ghibo@mandriva.com> 0.5-0.beta.1mdv2009.1
+ Revision: 355192
- Release 0.5beta.
- Better optimization.
- Default to windowed and show FPS (Patch0).
- Added languages.

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.4-4mdv2009.1
+ Revision: 311014
- re-add gname define (got lost somehow)
- obsolete wherever-racer, which appears to be dead now
- rebuild for new tcl

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.4-3mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 28 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.4-3mdv2008.1
+ Revision: 159485
- fix executable name in README.urpmi (s/ppracer/etracer/)

* Mon Jan 28 2008 Olivier Blin <oblin@mandriva.com> 0.4-2mdv2008.1
+ Revision: 159157
- nicer summary (from tpg)

* Mon Jan 28 2008 Olivier Blin <oblin@mandriva.com> 0.4-1mdv2008.1
+ Revision: 159113
- buildrequire tcl-devel
- obsoletes/provides ppracer
- use icons from source and install them in XDG locations
- adapt to new etracer binary name
- drop unnecessary build patches
- drop unused source
- extremetuxracer 0.4
- rename ppracer as extremetuxracer
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-0.alpha4mdv2008.0
+ Revision: 74800
- Import ppracer

